b8103112ea
This commit adds support for the recently released gcc 4.8. We re-add the same patch series as the one used for 4.7.x, after refreshing the patches. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
38 lines
1.3 KiB
Diff
38 lines
1.3 KiB
Diff
Index: gcc-4.8.0/contrib/regression/objs-gcc.sh
|
|
===================================================================
|
|
--- gcc-4.8.0.orig/contrib/regression/objs-gcc.sh 2009-04-09 17:00:19.000000000 +0200
|
|
+++ gcc-4.8.0/contrib/regression/objs-gcc.sh 2013-03-23 17:39:04.000000000 +0100
|
|
@@ -106,6 +106,10 @@
|
|
then
|
|
make all-gdb all-dejagnu all-ld || exit 1
|
|
make install-gdb install-dejagnu install-ld || exit 1
|
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
|
+ then
|
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
|
make bootstrap || exit 1
|
|
make install || exit 1
|
|
Index: gcc-4.8.0/libjava/classpath/ltconfig
|
|
===================================================================
|
|
--- gcc-4.8.0.orig/libjava/classpath/ltconfig 2011-02-13 12:45:53.000000000 +0100
|
|
+++ gcc-4.8.0/libjava/classpath/ltconfig 2013-03-23 17:39:04.000000000 +0100
|
|
@@ -603,7 +603,7 @@
|
|
|
|
# Transform linux* to *-*-linux-gnu*, to support old configure scripts.
|
|
case $host_os in
|
|
-linux-gnu*) ;;
|
|
+linux-gnu*|linux-uclibc*) ;;
|
|
linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
|
|
esac
|
|
|
|
@@ -1247,7 +1247,7 @@
|
|
;;
|
|
|
|
# This must be Linux ELF.
|
|
-linux-gnu*)
|
|
+linux*)
|
|
version_type=linux
|
|
need_lib_prefix=no
|
|
need_version=no
|